summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-proxy/nutcracker
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-proxy/nutcracker')
-rw-r--r--net-proxy/nutcracker/Manifest2
-rw-r--r--net-proxy/nutcracker/files/nutcracker-0.2.4-use-system-libyaml.patch64
-rw-r--r--net-proxy/nutcracker/files/nutcracker-0.3.0-use-system-libyaml.patch57
-rw-r--r--net-proxy/nutcracker/files/nutcracker.confd10
-rw-r--r--net-proxy/nutcracker/files/nutcracker.initd40
-rw-r--r--net-proxy/nutcracker/metadata.xml12
-rw-r--r--net-proxy/nutcracker/nutcracker-0.2.4.ebuild44
-rw-r--r--net-proxy/nutcracker/nutcracker-0.3.0.ebuild44
8 files changed, 273 insertions, 0 deletions
diff --git a/net-proxy/nutcracker/Manifest b/net-proxy/nutcracker/Manifest
new file mode 100644
index 00000000000..eb585643c93
--- /dev/null
+++ b/net-proxy/nutcracker/Manifest
@@ -0,0 +1,2 @@
+DIST nutcracker-0.2.4.tar.gz 1723439 SHA256 132f524541c6cf4dd1d570ec5da29312ed6150e8a369df703116498b65703b4e SHA512 13d7d2a778a5d85a1d73eaa220f2e95eb7765eff0c8af390ab916f099b12d6c1a99cb61ff418b9a909ff7e2b416b271ba034eb9f50cd7df1ee53600d8b681409 WHIRLPOOL a9e09376f70ade19ef6f80f769edef26b86f3af1d529f68fd6fc42575d4521603da230ee236f8b53c275c9695602e21a586d38fc33a68960b8c11359271af902
+DIST nutcracker-0.3.0.tar.gz 1825106 SHA256 e9993d6827b2e93ee2b865e827acbf9efadbbfc81ccd9103a85948ee2580942a SHA512 81ba21c54b9a15fbb1d0a42b426643b65bcd20b7bb4b35cf3427235703a01a44188b762edff412afe20c193a4e75bf618f69d8c77bae9d66cd2c4e619416f565 WHIRLPOOL 073d411619d14ff57ef9ec72975db99791d29b4b606b6a3af99a2e64b19983a0200b797e753626e7b21aeaae02a28a02402646aeb20919d0910441e5981f8da4
diff --git a/net-proxy/nutcracker/files/nutcracker-0.2.4-use-system-libyaml.patch b/net-proxy/nutcracker/files/nutcracker-0.2.4-use-system-libyaml.patch
new file mode 100644
index 00000000000..5cf7b3660bd
--- /dev/null
+++ b/net-proxy/nutcracker/files/nutcracker-0.2.4-use-system-libyaml.patch
@@ -0,0 +1,64 @@
+diff -uNr nutcracker-0.2.4.orig/Makefile.am nutcracker-0.2.4/Makefile.am
+--- nutcracker-0.2.4.orig/Makefile.am 2013-09-11 10:11:19.869975912 -0400
++++ nutcracker-0.2.4/Makefile.am 2013-09-11 10:11:36.709975757 -0400
+@@ -2,6 +2,6 @@
+
+ ACLOCAL_AMFLAGS = -I m4
+
+-SUBDIRS = contrib src
++SUBDIRS = src
+
+ EXTRA_DIST = README.md NOTICE LICENSE ChangeLog conf scripts notes
+diff -uNr nutcracker-0.2.4.orig/src/Makefile.am nutcracker-0.2.4/src/Makefile.am
+--- nutcracker-0.2.4.orig/src/Makefile.am 2013-09-11 10:16:16.449973187 -0400
++++ nutcracker-0.2.4/src/Makefile.am 2013-09-11 10:16:44.019972934 -0400
+@@ -3,7 +3,6 @@
+ AM_CPPFLAGS = -D_GNU_SOURCE -D_XOPEN_SOURCE
+ AM_CPPFLAGS += -I $(top_srcdir)/src/hashkit
+ AM_CPPFLAGS += -I $(top_srcdir)/src/proto
+-AM_CPPFLAGS += -I $(top_srcdir)/contrib/yaml-0.1.4/include
+
+ AM_CFLAGS = -Wall -Wshadow
+ AM_CFLAGS += -Wpointer-arith
+@@ -43,4 +42,3 @@
+
+ nutcracker_LDADD = $(top_builddir)/src/hashkit/libhashkit.a
+ nutcracker_LDADD += $(top_builddir)/src/proto/libproto.a
+-nutcracker_LDADD += $(top_builddir)/contrib/yaml-0.1.4/src/.libs/libyaml.a
+diff -uNr nutcracker-0.2.4.orig/configure.ac nutcracker-0.2.4/configure.ac
+--- nutcracker-0.2.4.orig/configure.ac 2013-09-11 10:23:27.879969223 -0400
++++ nutcracker-0.2.4/configure.ac 2013-09-11 10:24:28.729968664 -0400
+@@ -138,11 +138,7 @@
+ [AC_DEFINE([HAVE_STATS], [1], [Define to 1 if stats is not disabled])])
+ AC_MSG_RESULT($disable_stats)
+
+-# Untar the yaml-0.1.4 in contrib/ before config.status is rerun
+-AC_CONFIG_COMMANDS_PRE([tar xvfz contrib/yaml-0.1.4.tar.gz -C contrib])
+-
+-# Call yaml-0.1.4 ./configure recursively
+-AC_CONFIG_SUBDIRS([contrib/yaml-0.1.4])
++PKG_CHECK_MODULES([YAML], [yaml-0.1 >= 0.1])
+
+ # Define Makefiles
+ AC_CONFIG_FILES([Makefile
+diff -uNr nutcracker-0.2.4.orig/src/Makefile.am nutcracker-0.2.4/src/Makefile.am
+--- nutcracker-0.2.4.orig/src/Makefile.am 2013-09-11 10:23:27.879969223 -0400
++++ nutcracker-0.2.4/src/Makefile.am 2013-09-11 10:26:16.549967674 -0400
+@@ -11,8 +11,9 @@
+ AM_CFLAGS += -Wno-unused-parameter -Wno-unused-value
+ AM_CFLAGS += -Wconversion -Wsign-compare
+ AM_CFLAGS += -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations
++AM_CFLAGS += $(YAML_CFLAGS)
+
+-AM_LDFLAGS = -lm -lpthread -rdynamic
++AM_LDFLAGS = -lm -lpthread -rdynamic $(YAML_LIBS)
+
+ SUBDIRS = hashkit proto
+
+@@ -40,5 +41,5 @@
+ nc_queue.h \
+ nc.c
+
+-nutcracker_LDADD = $(top_builddir)/src/hashkit/libhashkit.a
++nutcracker_LDADD = $(top_builddir)/src/hashkit/libhashkit.a
+ nutcracker_LDADD += $(top_builddir)/src/proto/libproto.a
diff --git a/net-proxy/nutcracker/files/nutcracker-0.3.0-use-system-libyaml.patch b/net-proxy/nutcracker/files/nutcracker-0.3.0-use-system-libyaml.patch
new file mode 100644
index 00000000000..8a30fae46fc
--- /dev/null
+++ b/net-proxy/nutcracker/files/nutcracker-0.3.0-use-system-libyaml.patch
@@ -0,0 +1,57 @@
+diff -uNr nutcracker-0.3.0.orig/configure.ac nutcracker-0.3.0/configure.ac
+--- nutcracker-0.3.0.orig/configure.ac 2014-03-17 17:55:54.500000001 -0400
++++ nutcracker-0.3.0/configure.ac 2014-03-17 17:58:50.290000001 -0400
+@@ -195,11 +195,8 @@
+ [AC_DEFINE([HAVE_STATS], [1], [Define to 1 if stats is not disabled])])
+ AC_MSG_RESULT($disable_stats)
+
+-# Untar the yaml-0.1.4 in contrib/ before config.status is rerun
+-AC_CONFIG_COMMANDS_PRE([tar xvfz contrib/yaml-0.1.4.tar.gz -C contrib])
+-
+-# Call yaml-0.1.4 ./configure recursively
+-AC_CONFIG_SUBDIRS([contrib/yaml-0.1.4])
++# Use systems libyaml.
++PKG_CHECK_MODULES([YAML], [yaml-0.1 >= 0.1])
+
+ # Define Makefiles
+ AC_CONFIG_FILES([Makefile
+diff -uNr nutcracker-0.3.0.orig/Makefile.am nutcracker-0.3.0/Makefile.am
+--- nutcracker-0.3.0.orig/Makefile.am 2014-03-17 17:55:54.500000001 -0400
++++ nutcracker-0.3.0/Makefile.am 2014-03-17 17:56:38.920000001 -0400
+@@ -2,7 +2,7 @@
+
+ ACLOCAL_AMFLAGS = -I m4
+
+-SUBDIRS = contrib src
++SUBDIRS = src
+
+ dist_man_MANS = man/nutcracker.8
+
+diff -uNr nutcracker-0.3.0.orig/src/Makefile.am nutcracker-0.3.0/src/Makefile.am
+--- nutcracker-0.3.0.orig/src/Makefile.am 2014-03-17 17:55:54.500000001 -0400
++++ nutcracker-0.3.0/src/Makefile.am 2014-03-17 18:00:08.480000001 -0400
+@@ -7,7 +7,6 @@
+ AM_CPPFLAGS += -I $(top_srcdir)/src/hashkit
+ AM_CPPFLAGS += -I $(top_srcdir)/src/proto
+ AM_CPPFLAGS += -I $(top_srcdir)/src/event
+-AM_CPPFLAGS += -I $(top_srcdir)/contrib/yaml-0.1.4/include
+
+ AM_CFLAGS =
+ AM_CFLAGS += -Wall -Wshadow
+@@ -17,9 +16,10 @@
+ AM_CFLAGS += -Wno-unused-parameter -Wno-unused-value
+ AM_CFLAGS += -Wconversion -Wsign-compare
+ AM_CFLAGS += -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations
++AM_CFLAGS += $(YAML_CFLAGS)
+
+ AM_LDFLAGS =
+-AM_LDFLAGS += -lm -lpthread -rdynamic
++AM_LDFLAGS += -lm -lpthread -rdynamic $(YAML_LIBS)
+ if OS_SOLARIS
+ AM_LDFLAGS += -lnsl -lsocket
+ endif
+@@ -52,4 +52,3 @@
+ nutcracker_LDADD = $(top_builddir)/src/hashkit/libhashkit.a
+ nutcracker_LDADD += $(top_builddir)/src/proto/libproto.a
+ nutcracker_LDADD += $(top_builddir)/src/event/libevent.a
+-nutcracker_LDADD += $(top_builddir)/contrib/yaml-0.1.4/src/.libs/libyaml.a
diff --git a/net-proxy/nutcracker/files/nutcracker.confd b/net-proxy/nutcracker/files/nutcracker.confd
new file mode 100644
index 00000000000..fd9aef360b1
--- /dev/null
+++ b/net-proxy/nutcracker/files/nutcracker.confd
@@ -0,0 +1,10 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+#USER="nobody"
+#PIDFILE="/var/run/nutcracker.pid"
+#CONF_FILE="/etc/nutcracker/nutcracker.yaml"
+
+NUTCRACKER_BIN="/usr/bin/nutcracker"
+NUTCRACKER_OPTS="--daemonize"
diff --git a/net-proxy/nutcracker/files/nutcracker.initd b/net-proxy/nutcracker/files/nutcracker.initd
new file mode 100644
index 00000000000..344e310456f
--- /dev/null
+++ b/net-proxy/nutcracker/files/nutcracker.initd
@@ -0,0 +1,40 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+USER="${USER:-nobody}"
+PIDFILE="${PIDFILE:-/var/run/nutcracker.pid}"
+NUTCRACKER_BIN="${NUTCRACKER_BIN:-/usr/bin/nutcracker}"
+CONF_FILE="${CONF_FILE:-/etc/nutcracker/nutcracker.yml}"
+
+depend() {
+ need net
+}
+
+checkconf() {
+ ebegin "Testing configuration"
+ ${NUTCRACKER_BIN} --test-conf \
+ --conf-file=${CONF_FILE} \
+ >/dev/null 2>&1
+ eend $?
+}
+
+start() {
+ checkconf || exit 1
+ ebegin "Starting Nutcracker"
+ start-stop-daemon --start -u ${USER} \
+ --name ${SVCNAME} \
+ --exec ${NUTCRACKER_BIN} -- \
+ --conf-file="${CONF_FILE}" \
+ --pid-file=${PIDFILE} \
+ ${NUTCRACKER_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Nutcracker"
+ start-stop-daemon --stop --pidfile "${PIDFILE}"
+ eend $?
+}
+
diff --git a/net-proxy/nutcracker/metadata.xml b/net-proxy/nutcracker/metadata.xml
new file mode 100644
index 00000000000..41dc58dd712
--- /dev/null
+++ b/net-proxy/nutcracker/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>neurogeek@gentoo.org</email>
+ <name>Jesus Rivero</name>
+ <description>Primary maintainer</description>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">twitter/twemproxy</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/net-proxy/nutcracker/nutcracker-0.2.4.ebuild b/net-proxy/nutcracker/nutcracker-0.2.4.ebuild
new file mode 100644
index 00000000000..7b94aba290c
--- /dev/null
+++ b/net-proxy/nutcracker/nutcracker-0.2.4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils
+
+DESCRIPTION="A fast, light-weight proxy for Memcached and Redis.
+(Twitter's Twemproxy)"
+HOMEPAGE="https://github.com/twitter/twemproxy"
+SRC_URI="http://twemproxy.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc"
+
+DEPEND=">=dev-libs/libyaml-0.1.4"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # Lets use system libyaml
+ epatch "${FILESDIR}/${P}-use-system-libyaml.patch"
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use debug) || die "Econf failed"
+}
+
+src_install() {
+ default_src_install
+
+ insinto /etc/nutcracker
+ newins conf/nutcracker.yml nutcracker.yml.example
+
+ newconfd "${FILESDIR}/nutcracker.confd" nutcracker
+ newinitd "${FILESDIR}/nutcracker.initd" nutcracker
+
+ if use doc; then
+ dodoc -r notes
+ fi
+}
diff --git a/net-proxy/nutcracker/nutcracker-0.3.0.ebuild b/net-proxy/nutcracker/nutcracker-0.3.0.ebuild
new file mode 100644
index 00000000000..5beeaf7aaf7
--- /dev/null
+++ b/net-proxy/nutcracker/nutcracker-0.3.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils
+
+DESCRIPTION="A fast, light-weight proxy for Memcached and Redis.
+(Twitter's Twemproxy)"
+HOMEPAGE="https://github.com/twitter/twemproxy"
+SRC_URI="http://twemproxy.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc"
+
+DEPEND=">=dev-libs/libyaml-0.1.4"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # Lets use system libyaml
+ epatch "${FILESDIR}/${P}-use-system-libyaml.patch"
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use debug) || die "Econf failed"
+}
+
+src_install() {
+ default_src_install
+
+ insinto /etc/nutcracker
+ newins conf/nutcracker.yml nutcracker.yml.example
+
+ newconfd "${FILESDIR}/nutcracker.confd" nutcracker
+ newinitd "${FILESDIR}/nutcracker.initd" nutcracker
+
+ if use doc; then
+ dodoc -r notes
+ fi
+}